Get seat tracking groups
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"groupConfig": {
"enabled": true,
"showbackId": 1,
"showbackName": "Engineering"
},
"allocationLayout": "per_person",
"defaultSingleGroupApplied": false,
"groupTargets": [],
"groupMembership": {
"alice@example.com": "Platform"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Get seat tracking groups
Read the group config and allocation layout for a seat tracking project.
GET
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
groups
Get seat tracking groups
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"groupConfig": {
"enabled": true,
"showbackId": 1,
"showbackName": "Engineering"
},
"allocationLayout": "per_person",
"defaultSingleGroupApplied": false,
"groupTargets": [],
"groupMembership": {
"alice@example.com": "Platform"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I